import http from '@/utils/request'

/* --------------场次管理--------------------- */
export function getBatchList ({ keyWords1, pageNum = 1, pageSize = 999 }) {
  return http.post(`/Batch/getBatchList`, {
    keyWords1,
    pageNum,
    pageSize
  })
}

export function getBatchListMultiDate (params) {
  return http.post(`/Batch/getBatchListMultiDate`, params)
}

export function updateBatch (params) {
  return http.post(`/Batch/updateBatch`, params)
}

/* --------------场次策略管理--------------------- */
export function createBatchConfig (params) {
  return http.post(`/batchConfig/createBatchConfig`, params)
}

export function getBatchConfigList (params) {
  return http.post(`/admin/system-config/list`, { data: params })
}

export function deleteBatchConfig (id) {
  return http.post(`/batchConfig/deleteBatchConfig/${id}`)
}

export function updateBatchConfig (params) {
  return http.post(`/batchConfig/updateBatchConfig`, params)
}

export function getBacthTicketList ({ batchId, tagId }) {
  return http.post(`/batchConfig/getBatchConfigTicketTypeList/${batchId}/${tagId || 0}`)
}

export function addBatchConfigSeatAreaTicketType (params) {
  return http.post(`/batchConfig/addBatchConfigSeatAreaTicketType`, params)
}

export function getBatchConfigSeatAreaTicketType (params) {
  return http.post(`/batchConfig/getBatchConfigSeatAreaTicketType`, params)
}

export function getBatchSeat (params) {
  return http.post(`/seatBatch/list`, params)
}
export function updateBatchSeat (params) {
  return http.post(`/seatBatch/update`, params)
}
